# -*- encoding: utf-8 -*-
# stub: robopigeon 0.5.1 ruby lib

Gem::Specification.new do |s|
  s.name = "robopigeon".freeze
  s.version = "0.5.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "homepage_uri" => "https://gitlab.com/pigeons/robopigeon", "source_code_uri" => "https://gitlab.com/pigeons/robopigeon" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Alex Ives".freeze]
  s.bindir = "exe".freeze
  s.date = "2019-05-22"
  s.description = "Gitlab ci, jenkins, bamboo, circleci all leave something to be desired - a tigher integration with notifications and git actions. RoboPigeon is a new tool to help you craft pipelines that give you notifications and get you the functionality of a full time bot, without having to run one.".freeze
  s.email = ["alex@ives.mn".freeze]
  s.executables = ["robopigeon".freeze]
  s.files = ["exe/robopigeon".freeze]
  s.homepage = "https://gitlab.com/pigeons/robopigeon".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A set of tools for gitlab and other ci piplines".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<gitlab>.freeze, ["~> 4.5"])
    s.add_runtime_dependency(%q<jenkins_api_client>.freeze, ["~> 1.5"])
    s.add_runtime_dependency(%q<markdown2confluence>.freeze, ["~> 0.0.4"])
    s.add_runtime_dependency(%q<picky>.freeze, ["~> 4.31"])
    s.add_runtime_dependency(%q<slack-ruby-client>.freeze, ["~> 0.14"])
    s.add_runtime_dependency(%q<slackdown>.freeze, ["~> 0.2"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 1.15", "< 3"])
    s.add_development_dependency(%q<bundler-audit>.freeze, ["~> 0.6"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.12"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.5"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.8"])
    s.add_development_dependency(%q<rubocop>.freeze, ["= 0.57"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.16"])
    s.add_development_dependency(%q<vcr>.freeze, ["~> 4.0"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 3.5"])
  else
    s.add_dependency(%q<gitlab>.freeze, ["~> 4.5"])
    s.add_dependency(%q<jenkins_api_client>.freeze, ["~> 1.5"])
    s.add_dependency(%q<markdown2confluence>.freeze, ["~> 0.0.4"])
    s.add_dependency(%q<picky>.freeze, ["~> 4.31"])
    s.add_dependency(%q<slack-ruby-client>.freeze, ["~> 0.14"])
    s.add_dependency(%q<slackdown>.freeze, ["~> 0.2"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.15", "< 3"])
    s.add_dependency(%q<bundler-audit>.freeze, ["~> 0.6"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.12"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.5"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.8"])
    s.add_dependency(%q<rubocop>.freeze, ["= 0.57"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.16"])
    s.add_dependency(%q<vcr>.freeze, ["~> 4.0"])
    s.add_dependency(%q<webmock>.freeze, ["~> 3.5"])
  end
end
